Storage
Update Volume (PVC)
Update a volume (persistent volume claim), e.g. grow its capacity.
Update a volume (persistent volume claim), e.g. grow its capacity.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
capacity_gb?|
Size of the volume in GB (e.g., '10')
Format
doubledescription?string
environment_id?string
Format
uuidid*string
name?|
Has to be unique among the volumes of the same scope
Length
1 <= length <= 32project_id?string
Format
uuidteam_id*string
Format
uuidtype*PvcScope
Value in
- "team"
- "project"
- "environment"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/storage/pvc/update" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "team" }'{ "data": { "can_delete": true, "capacity_gb": 0.1, "created_at": "2019-08-24T14:15:22Z", "description": "string", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "id": "string", "is_available": true, "is_database": true, "is_deleting": true, "is_pending_resize": true, "mount_path": "string", "mount_status": "unattached", "mounted_on_service_id": "6de1f4a4-7b8e-4432-bffa-782791ce061a", "name": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "requested_gb": 0.1, "status": "Pending", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "team", "used_gb": 0.1 }}